SLONIK RESTART NODE(7)

NAME
RESTART NODE - Restart Slony-I node

SYNOPSIS
RESTART NODE options;

DESCRIPTION

Causes an eventually running replication daemon (slon process) on the specified node to shutdown and restart itself. Theoretically, this command should be obsolete. In practice, TCP timeouts can delay critical configuration changes to actually happen in the case where a former forwarding node failed and needs to be bypassed by subscribers.

ID  = ival
    Node ID of the node to restart.

EXAMPLE
  RESTART NODE ( ID = 2 );

LOCKING BEHAVIOUR

No application-visible locking should take place.

SLONIK EVENT CONFIRMATION BEHAVIOUR

Slonik does not wait for event confirmations before performing this command

VERSION INFORMATION

This command was introduced in Slony-I 1.0; frequent use became unnecessary as of version 1.0.5. There are, however, occasional cases where it is necessary to interrupt a slon process, and this allows this to be scripted via slonik.